Package Details: libsquish 1.15-2

Git Clone URL: https://aur.archlinux.org/libsquish.git (read-only, click to copy)
Package Base: libsquish
Description: DXT compression library
Upstream URL: https://sourceforge.net/projects/libsquish/
Licenses: MIT
Submitter: None
Maintainer: ducakar
Last Packager: ducakar
Votes: 27
Popularity: 0.000000
First Submitted: 2009-09-02 20:08
Last Updated: 2021-03-23 22:41

Latest Comments

« First ‹ Previous 1 2

Anonymous comment on 2010-04-14 11:37

If i remember correctly libsquish is optional. It adds only support for DXT texture compression. Delete it from your dependency list in the PKGBUILD and you should be fine.

qubodup commented on 2010-04-07 14:50

Thanks for the package!

I just tried to compile panda3d and got following error:


[ 32%] Linking dynamic library built/lib/libpanda.so
/usr/bin/ld: /usr/lib/gcc/x86_64-unknown-linux-gnu/4.4.3/../../../../lib/libsquish.a(squish.o): relocation R_X86_64_32 against `__gxx_personality_v0' can not be used when making a shared object; recompile with -fPIC
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.4.3/../../../../lib/libsquish.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
Storing dependency cache.

I fail to understand what is happening and what needs to be done. Perhaps you understand the problem? http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 might help.